-- Configuration
local on = 1 -- Enables auto-invite. 1 - on, nil - off.
local whispCommand = "!inviteme" -- The whisper command to trigger the invite.

-- Local Table
local aName, aTable = ...

-- Locals
local pName = aName..": "

function aTable:OnEvent(event, ...)
	local msg, name = ...

	if event == "CHAT_MSG_WHISPER" then
		aTable.Invitez0rz(msg, name)
	end
end

function aTable.Invitez0rz(msg, name)
	if msg == whispCommand then
		if IsPartyLeader() == 1 or GetNumPartyMembers() == 0 then
			InviteUnit(name)
		else
			SendChatMessage(pname..UnitName("player").." is not the party leader.", "WHISPER", nil, name)
		end
	else
		return
	end
end

-- Need a frame to attach to.
local f = CreateFrame("Frame")
f:RegisterEvent("CHAT_MSG_WHISPER")
f:SetScript("OnEvent", aTable.OnEvent)
